%global	module	glumpy

Name:       python-%{module}
Summary:    Small python library for rapid visualization of numpy arrays
Version:    1.0.6
Release:    1%{?dist}
Source0:    https://github.com/%{module}/archive/%{version}.tar.gz
License:    BSD
Group:      Development/Libraries
URL:        http://glumpy.github.io

BuildRequires:  numpy Cython
BuildRequires:  python2-devel python3-devel
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pyopengl
BuildRequires:  python%{python3_pkgversion}-Cython


%description
glumpy is a small python library for the rapid visualization
of numpy arrays, (mainly two dimensional) that has been 
designed with efficiency in mind. If you want to draw nice 
figures for inclusion in a scientific article, you’d better
use matplotlib. If you want to have a sense of what’s going 
on in your simulation while it is running, then maybe glumpy 
can help you. 

%package -n python2-%{module}
Summary:        %{summary}
Requires:   numpy python2-pyopengl

%{?python_provide:%python_provide python2-glumpy}
%{?fedora:Recommends: numpy}

%description -n python2-%{module}
%{summary}.

%package -n python%{python3_pkgversion}-%{module}
Summary:        Python wrapper for the blosc high performance compressor
Requires:       python%{python3_pkgversion}-numpy
Requires:       python%{python3_pkgversion}-pyopengl

%{?python_provide:%python_provide python%{python3_pkgversion}-glumpy}
%{?fedora:Recommends: python%{python3_pkgversion}-numpy}

%description -n python%{python3_pkgversion}-%{module}
%{summary}.

%prep
%autosetup -n %{module}-%{version}

# Remove shebangs in python scripts
for lib in `find examples/ glumpy/ -name "*.py"`; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# Import new print function for python2.7
sed -i 's|\(import generators\)|\1, print_function|' glumpy/ext/png.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python2-%{module}
%license LICENSE.txt
%{python2_sitearch}/glumpy/
%{python2_sitearch}/glumpy-%{version}*-py*.egg-info
%doc README.rst examples

%files -n python%{python3_pkgversion}-%{module}
%{python3_sitearch}/glumpy/
%{python3_sitearch}/glumpy-%{version}*-py*.egg-info
%license LICENSE.txt
%doc README.rst examples


%changelog
* Sat Oct 1 2016 Thibault North <tnorth@fedoraproject.org> - 1.0.6-1
- Update to 1.0.6

* Mon Jan 30 2012 Thibault North <tnorth@fedoraproject.org> - 0.2.1-3
- Fix requires

* Mon Jan 9 2012 Thibault North <tnorth@fedoraproject.org> - 0.2.1-2
- Fix group, require ipython

* Tue Dec 20 2011 Thibault North <tnorth@fedoraproject.org> - 0.2.1-1
- Initial package
